local t = Def.ActorFrame {
	--- to stop people in widescreen viewing offscreen elements
	-- ez2dancer is not a widescreen game
	Def.Quad {
		OnCommand=cmd(stretchto,SCREEN_RIGHT,SCREEN_TOP,99999,SCREEN_BOTTOM;diffuse,color("#000000"));
	};
	
	Def.Quad {
		OnCommand=cmd(stretchto,-99999,SCREEN_TOP,SCREEN_LEFT,SCREEN_BOTTOM;diffuse,color("#000000"));
	};


	Def.Quad {
		OnCommand=cmd(stretchto,-99999,-99999,99999,SCREEN_TOP;diffuse,color("#000000"));
	};
	
	
	Def.Quad {
		OnCommand=cmd(stretchto,-99999,SCREEN_BOTTOM,99999,99999;diffuse,color("#000000"));
	};	
};

return t;
